Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.reflection.stdclasses
Class IntegerCachedClass

    java.lang.Object
      org.codehaus.groovy.reflection.CachedClass
          org.codehaus.groovy.reflection.stdclasses.NumberCachedClass
              org.codehaus.groovy.reflection.stdclasses.IntegerCachedClass

    public class IntegerCachedClass

extends NumberCachedClass

Author:
  Alex.Tkachman

Nested Class Summary

Nested classes/interfaces inherited from class org.codehaus.groovy.reflection.CachedClass
`CachedClass.CachedMethodComparatorByName, CachedClass.CachedMethodComparatorWithString`

Field Summary

Fields inherited from class org.codehaus.groovy.reflection.CachedClass
`classInfo, EMPTY_ARRAY, isArray, isInterface, isNumber, isPrimitive, modifiers, mopMethods`

Constructor Summary
`IntegerCachedClass(Class klazz, ClassInfo classInfo, boolean allowNull)`

Method Summary
`Object` | `coerceArgument(Object argument)`
`boolean` | `isAssignableFrom(Class classToTransformFrom)`
`boolean` | `isDirectlyAssignable(Object argument)`

Methods inherited from class org.codehaus.groovy.reflection.CachedClass
`addNewMopMethods, doCast, getCachedClass, getCachedSuperClass, getCallSiteLoader, getConstructors, getDeclaredInterfaces, getFields, getHierarchy, getInterfaces, getMethods, getModifiers, getName, getNewMetaMethods, getSuperClassDistance, getTheClass, getTypeDescription, hashCode, isInterface, isPrimitive, isVoid, searchMethods, setNewMopMethods, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IntegerCachedClass

    public IntegerCachedClass(Class klazz,
                              ClassInfo classInfo,
                              boolean allowNull)

Method Detail

### coerceArgument

    public Object coerceArgument(Object argument)

  Overrides:
    `coerceArgument` in class `NumberCachedClass`

### isDirectlyAssignable

    public boolean isDirectlyAssignable(Object argument)

  Overrides:
    `isDirectlyAssignable` in class `CachedClass`

### isAssignableFrom

    public boolean isAssignableFrom(Class classToTransformFrom)

  Overrides:
    `isAssignableFrom` in class `NumberCachedClass`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2009 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD